dbXML API

## org.dbxml.xml
Class SymbolTableSymbols

    java.lang.Object
      |
      +--org.dbxml.xml.SymbolTable
            |
            +--org.dbxml.xml.SymbolTableSymbols

All Implemented Interfaces:
  XMLSerializable

public final class SymbolTableSymbols
extends SymbolTable

SymbolTableSymbols is class that represents the hard-coded definition of a compressed symbol table.

Inner classes inherited from class org.dbxml.xml.SymbolTable
`SymbolTable.SymbolInfo`

Method Summary
`static java.lang.String` `getDefinition()`
`static SymbolTableSymbols` `getInstance()`

Methods inherited from class org.dbxml.xml.SymbolTable
`getLastModified, getLookupName, getName, getNamespaceURI, getNormalizedLocalName, getNormalizedQName, getNormalizedSymbol, getSymbol, getSymbol, getSymbol, getSymbol, getSymbolInfo, getSymbolInfo, isDirty, setDirty, streamFromXML, streamToXML`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getDefinition

    public static java.lang.String getDefinition()

### getInstance

    public static SymbolTableSymbols getInstance()

dbXML API

Copyright (c) 1999-2001 The dbXML Group, All rights reserved